<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Dozent\Urlaube\NeuAbsenden;

class UrlaubNeuAbsendenPresenter extends \Kufer\KuferTools\Basis\Presenter\MitRahmenPresenter
{
  protected function getViewModel()
  {
    $result = new UrlaubNeuAbsendenViewModel();
    $result->urlaube = $this->useCaseResponse->urlaube;
    $result->urlaubsplanung = $this->useCaseResponse->urlaubsplanung;

    return $result;
  }

  protected function getView()
  {
    return new UrlaubNeuAbsendenView($this->getViewModel());
  }
}